import {
  getFansList
} from '~/api/user'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    pageNo:1,
    totalSize: 0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getFansList()
  },
  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },
  async getFansList() {
    let {
      list,
      totalSize
    } = await getFansList({
      pageNo: 1,
      pageSize: 20
    })
    this.setData({
      list,
      totalSize
    })
  }
})